Subject: Re: [alto] statistics operators for ALTO cost metrics

From: Qin Wu <[email-masked]>
Date: Sun, 20 Jul 2014 02:12:43 +0000

On Fri, Jul 18, 2014 at 11:39 AM, Leeyoung <[email-masked]<mailto:[email-masked]>> wrote:
Hi Qin and Richard,

Thanks for putting a good quality slide together. I think it is good with this version.

On one question:
–      Do we allow more flexible statistics operators (e.g., mean, avg, x-percentile, variance)
•       In current draft, delay and delay jitter are both on delay, with one reflect mean and the other variance

Do you mean, “Do we allow more flexible statistics for/from/?? operator?” Not sure what you mean. If the network operators are the ones that provide these stats to ALTO application, then we may say, “Do we need more flexible statistics for some applications?” for instance. May be I am missing something here.
[Qin]: Yes, you misunderstand what it said here. The operator is not service provider but more related to how you measure the TE metrics and how you calculate TE metrics. The measurement unit or measurement method may indicate what statistics operator we are using, e.g., delay use microseconds as unit and choose the mean value as the value of cost metric.

Flexible stat such as percentile and variance are all good, yet there might be scaling issues and usability of such data and the networks that provide such data do not normally have in their TED  except jitter variance. This could imply an overhead for networks.
[Qin]: Yes, bandwidth related metrics  are not provided in the unit of percentile in TED becos bandwidth related metrics all use the same measurement unit and they don’t want to change unit to lose measurement precision. But in alto context, alto client maybe more care about how much percentage of the bandwidth are used, how much percentage of the bandwidth are not reserved rather than the total number of bytes per sec for each bandwidth related metric.
I am not sure we really need new semantic to indicate what kind of statistics operator are supported, but measurement unit or measurement method may be impacted.

Thanks,
Young